Skip to main content
`Ctrl`+`K`
scipy.signal.ZoomFFT.

# __call__

ZoomFFT.__call__(x, *, axis=-1)

  Calculate the chirp z-transform of a signal.

  Parameters:
    x array

      The signal to transform.

    axis int, optional

      Axis over which to compute the FFT. If not given, the last axis is used.

  Returns:
    out ndarray

      An array of the same dimensions as x, but with the length of the transformed axis set to m.